Index: test/edu/ucsb/nceas/metacattest/AccessControlTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4507)
+++ test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4508)
@@ -25,28 +25,15 @@
 
 package edu.ucsb.nceas.metacattest;
 
-import java.io.Reader;
-import java.io.StringReader;
-import java.util.Calendar;
-import java.util.Date;
-import java.util.GregorianCalendar;
-import java.util.SimpleTimeZone;
-import java.util.TimeZone;
 import java.util.Vector;
 
 import edu.ucsb.nceas.MCTestCase;
-import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
-import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatAuthException;
 import edu.ucsb.nceas.metacat.client.MetacatException;
-import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.utilities.IOUtil;
-import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestSuite;
-import java.io.File;
+// import java.io.File;
 
 /**
  * A JUnit test for testing Access Control in Metacat
@@ -53,276 +40,11 @@
  */
 public class AccessControlTest extends MCTestCase {
 
-	private static String metacatUrl;
-	private static String username;
-	private static String password;
-	private static String anotheruser;
-	private static String anotherpassword;
-	static {
-		try {
-			metacatUrl = PropertyService.getProperty("test.metacatUrl");
-			username = PropertyService.getProperty("test.mcUser");
-			password = PropertyService.getProperty("test.mcPassword");
-			anotheruser = PropertyService.getProperty("test.mcAnotherUser");
-			anotherpassword = PropertyService.getProperty("test.mcAnotherPassword");
-		} catch (PropertyNotFoundException pnfe) {
-			System.err.println("Could not get property in static block: "
-					+ pnfe.getMessage());
-		}
-	}
-
-	private String prefix = "test";
 	private String newdocid = null;
-	private String testdocument = "";
 	private String onlineDocid;
 	private String onlinetestdatafile1 = "test/onlineDataFile1";
-//	private String onlinetestdatafile2 = "test/onlineDataFile2";
-	private static final String ALLOWFIRST = "allowFirst";
-	private static final String DENYFIRST = "denyFirst";
 
-	private Metacat m;
-
 	/**
-	 * These variables are for eml-2.0.1 only. For other eml versions, this
-	 * function might have to modified
-	 */
-	private String testEml_200_Header = "<?xml version=\"1.0\"?><eml:eml"
-		+ " xmlns:eml=\"eml://ecoinformatics.org/eml-2.0.0\""
-		+ " xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\""
-		+ " packageId=\"eml.1.1\" system=\"knb\""
-		+ " xsi:schemaLocation=\"eml://ecoinformatics.org/eml-2.0.0 eml.xsd\""
-		+ " scope=\"system\">";
-	
-	private String testEml_201_Header = "<?xml version=\"1.0\"?><eml:eml"
-		+ " xmlns:eml=\"eml://ecoinformatics.org/eml-2.0.1\""
-		+ " xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\""
-		+ " packageId=\"eml.1.1\" system=\"knb\""
-		+ " xsi:schemaLocation=\"eml://ecoinformatics.org/eml-2.0.1 eml.xsd\""
-		+ " scope=\"system\">";
-	
-	private String testEml_210_Header = "<?xml version=\"1.0\"?><eml:eml"
-			+ " xmlns:eml=\"eml://ecoinformatics.org/eml-2.1.0\""
-			+ " xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\""
-			+ " packageId=\"eml.1.1\" system=\"knb\""
-			+ " xsi:schemaLocation=\"eml://ecoinformatics.org/eml-2.1.0 eml.xsd\""
-			+ " scope=\"system\">";
-
-	private String testEmlCreatorBlock = "<creator scope=\"document\">                                       "
-			+ " <individualName>                                                  "
-			+ "    <surName>Smith</surName>                                       "
-			+ " </individualName>                                                 "
-			+ "</creator>                                                         ";
-
-	private String testEmlContactBlock = "<contact scope=\"document\">                                       "
-			+ " <individualName>                                                  "
-			+ "    <surName>Jackson</surName>                                     "
-			+ " </individualName>                                                 "
-			+ "</contact>                                                         ";
-
-	private String testEmlInlineBlock1 = "<inline>                                                           "
-			+ "  <admin>                                                          "
-			+ "    <contact>                                                      "
-			+ "      <name>Operator</name>                                        "
-			+ "      <institution>PSI</institution>                               "
-			+ "    </contact>                                                     "
-			+ "  </admin>                                                         "
-			+ "</inline>                                                          ";
-
-	private String testEmlInlineBlock2 = "<inline>                                                           "
-			+ "  <instrument>                                                     "
-			+ "    <instName>LCQ</instName>                                       "
-			+ "    <source type=\"ESI\"></source>                                 "
-			+ "    <detector type=\"EM\"></detector>                              "
-			+ "  </instrument>                                                    "
-			+ "</inline>                                                          ";
-
-	/*
-	 * Retrus an access block base on params passed and the defaul perm order -
-	 * allow first
-	 */
-	private String getAccessBlock(String principal, boolean grantAccess, boolean read,
-			boolean write, boolean changePermission, boolean all) {
-		return getAccessBlock(principal, grantAccess, read, write, changePermission, all,
-				ALLOWFIRST);
-	}
-
-	/**
-	 * This function returns an access block based on the params passed
-	 */
-	private String getAccessBlock(String principal, boolean grantAccess, boolean read,
-			boolean write, boolean changePermission, boolean all, String permOrder) {
-		String accessBlock = "<access "
-				+ "authSystem=\"ldap://ldap.ecoinformatics.org:389/dc=ecoinformatics,dc=org\""
-				+ " order=\"" + permOrder + "\"" + " scope=\"document\"" + ">";
-
-		accessBlock += generateOneAccessRule(principal, grantAccess, read, write,
-				changePermission, all);
-		accessBlock += "</access>";
-
-		return accessBlock;
-
-	}
-
-	/*
-	 * Gets eml access block base on given acccess rules and perm order
-	 */
-	private String getAccessBlock(Vector<String> accessRules, String permOrder) {
-		String accessBlock = "<access "
-				+ "authSystem=\"ldap://ldap.ecoinformatics.org:389/dc=ecoinformatics,dc=org\""
-				+ " order=\"" + permOrder + "\"" + " scope=\"document\"" + ">";
-		// adding rules
-		if (accessRules != null && !accessRules.isEmpty()) {
-			for (int i = 0; i < accessRules.size(); i++) {
-				String rule = (String) accessRules.elementAt(i);
-				accessBlock += rule;
-
-			}
-		}
-		accessBlock += "</access>";
-		return accessBlock;
-	}
-
-	/*
-	 * Generates a access rule for given parameter. Note this xml portion
-	 * doesn't include <access></access>
-	 */
-	private String generateOneAccessRule(String principal, boolean grantAccess,
-			boolean read, boolean write, boolean changePermission, boolean all) {
-		String accessBlock = "";
-
-		if (grantAccess) {
-			accessBlock = "<allow>";
-		} else {
-			accessBlock = "<deny>";
-		}
-
-		accessBlock = accessBlock + "<principal>" + principal + "</principal>";
-
-		if (all) {
-			accessBlock += "<permission>all</permission>";
-		} else {
-			if (read) {
-				accessBlock += "<permission>read</permission>";
-			}
-			if (write) {
-				accessBlock += "<permission>write</permission>";
-			}
-			if (changePermission) {
-				accessBlock += "<permission>changePermission</permission>";
-			}
-		}
-
-		if (grantAccess) {
-			accessBlock += "</allow>";
-		} else {
-			accessBlock += "</deny>";
-		}
-		return accessBlock;
-
-	}
-
-	/**
-	 * This function returns a valid eml document with no access rules 
-	 */
-	private String getTestEmlDoc(String title, String emlVersion, String inlineData1,
-			String inlineData2, String onlineUrl1, String onlineUrl2,
-			String docAccessBlock, String inlineAccessBlock1, String inlineAccessBlock2,
-			String onlineAccessBlock1, String onlineAccessBlock2) {
-
-		debug("getTestEmlDoc(): title=" + title + " inlineData1=" + inlineData1
-				+ " inlineData2=" + inlineData2 + " onlineUrl1=" + onlineUrl1
-				+ " onlineUrl2=" + onlineUrl2 + " docAccessBlock=" + docAccessBlock
-				+ " inlineAccessBlock1=" + inlineAccessBlock1 + " inlineAccessBlock2="
-				+ inlineAccessBlock2 + " onlineAccessBlock1=" + onlineAccessBlock1
-				+ " onlineAccessBlock2=" + onlineAccessBlock2);
-		String testDocument = "";
-		String header;
-		if (emlVersion == EML2_0_0) {
-			header = testEml_200_Header;
-		} else if (emlVersion == EML2_0_1) {
-			header = testEml_201_Header;
-		} else {
-			header = testEml_210_Header;
-		}
-		testDocument += header;
-		
-		// if this is a 2.1.0+ document, the document level access block sits
-		// at the same level and before the dataset element.
-		if (docAccessBlock != null && emlVersion.equals(EML2_1_0)) {
-			testDocument += docAccessBlock;
-		}
-		
-		testDocument += "<dataset scope=\"document\"><title>"
-				+ title + "</title>" + testEmlCreatorBlock;
-
-		if (inlineData1 != null) {
-			testDocument = testDocument
-					+ "<distribution scope=\"document\" id=\"inlineEntity1\">"
-					+ inlineData1 + "</distribution>";
-		}
-		if (inlineData2 != null) {
-			testDocument = testDocument
-					+ "<distribution scope=\"document\" id=\"inlineEntity2\">"
-					+ inlineData2 + "</distribution>";
-		}
-		if (onlineUrl1 != null) {
-			testDocument = testDocument
-					+ "<distribution scope=\"document\" id=\"onlineEntity1\">"
-					+ "<online><url function=\"download\">" + onlineUrl1
-					+ "</url></online></distribution>";
-		}
-		if (onlineUrl2 != null) {
-			testDocument = testDocument
-					+ "<distribution scope=\"document\" id=\"onlineEntity2\">"
-					+ "<online><url function=\"download\">" + onlineUrl2
-					+ "</url></online></distribution>";
-		}
-		testDocument += testEmlContactBlock;
-
-		// if this is a 2.0.X document, the document level access block sits
-		// inside the dataset element.
-		if (docAccessBlock != null && 
-				(emlVersion.equals(EML2_0_0) || emlVersion.equals(EML2_0_1))) {
-			testDocument += docAccessBlock;
-		}
-
-		testDocument += "</dataset>";
-
-		if (inlineAccessBlock1 != null) {
-			testDocument += "<additionalMetadata>";
-			testDocument += "<describes>inlineEntity1</describes>";
-			testDocument += inlineAccessBlock1;
-			testDocument += "</additionalMetadata>";
-		}
-
-		if (inlineAccessBlock2 != null) {
-			testDocument += "<additionalMetadata>";
-			testDocument += "<describes>inlineEntity2</describes>";
-			testDocument += inlineAccessBlock2;
-			testDocument += "</additionalMetadata>";
-		}
-
-		if (onlineAccessBlock1 != null) {
-			testDocument += "<additionalMetadata>";
-			testDocument += "<describes>onlineEntity1</describes>";
-			testDocument += onlineAccessBlock1;
-			testDocument += "</additionalMetadata>";
-		}
-
-		if (onlineAccessBlock2 != null) {
-			testDocument += "<additionalMetadata>";
-			testDocument += "<describes>onlineEntity2</describes>";
-			testDocument += onlineAccessBlock2;
-			testDocument += "</additionalMetadata>";
-		}
-
-		testDocument += "</eml:eml>";
-
-		// System.out.println("Returning following document" + testDocument);
-		return testDocument;
-	}
-
-	/**
 	 * Constructor to build the test
 	 * 
 	 * @param name
@@ -330,20 +52,15 @@
 	 */
 	public AccessControlTest(String name) {
 		super(name);
-		newdocid = generateDocid();
+		newdocid = generateDocumentId();
 	}
 
 	/**
 	 * Establish a testing framework by initializing appropriate objects
 	 */
-	public void setUp() {
-		try {
-			debug("Test Metacat: " + metacatUrl);
-			m = MetacatFactory.createMetacatConnection(metacatUrl);
-		} catch (MetacatInaccessibleException mie) {
-			System.err.println("Metacat is: " + metacatUrl);
-			fail("Metacat connection failed." + mie.getMessage());
-		}
+	public void setUp() throws Exception {
+		metacatConnectionNeeded = true;
+		super.setUp();
 	}
 
 	/**
@@ -439,7 +156,7 @@
 		try {
 			debug("\nRunning: test201AllowFirst test");
 			String emlVersion = EML2_0_1;
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 			// ====1 inserts a document with access rules (allowFirst) - allow
 			// READ rule for another user,
 			// deny READ rule for public.
@@ -458,7 +175,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -466,17 +183,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".1", FAILURE, true);
+			deleteDocumentId(newdocid + ".1", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -498,7 +215,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -506,17 +223,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".2", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".3", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".3", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".3", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".3", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".2", FAILURE, true);
+			deleteDocumentId(newdocid + ".2", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -537,7 +254,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".3", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".3", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -545,17 +262,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".3", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".3", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".3", FAILURE, true);
+			deleteDocumentId(newdocid + ".3", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -578,7 +295,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".4", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".4", testdocument, SUCCESS, false);
 			m.logout();
 			debug("logging out");
 			// login as another user
@@ -586,17 +303,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
 			// fails to update this document
-			updateDocid(newdocid + ".5", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".5", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".5", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".5", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".4", FAILURE, true);
+			deleteDocumentId(newdocid + ".4", FAILURE, true);
 			// logout
 			m.logout();
 
@@ -618,7 +335,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".5", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".5", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -626,17 +343,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".5", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".5", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".6", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".6", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".7", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".7", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".6", FAILURE, true);
+			deleteDocumentId(newdocid + ".6", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -662,7 +379,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".7", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".7", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -670,17 +387,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".7", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".7", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".8", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".8", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".8", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".8", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".7", FAILURE, true);
+			deleteDocumentId(newdocid + ".7", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -706,7 +423,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".8", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".8", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -714,17 +431,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".8", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".8", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".9", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".9", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".9", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".9", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".8", FAILURE, true);
+			deleteDocumentId(newdocid + ".8", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -749,7 +466,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".9", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".9", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -757,17 +474,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".9", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".9", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".10", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".10", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".10", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".10", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".9", FAILURE, true);
+			deleteDocumentId(newdocid + ".9", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -793,7 +510,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".10", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".10", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -801,17 +518,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeed to read this document
-			readDocidWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
 			// fails to update this document
-			updateDocid(newdocid + ".11", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".11", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".11", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".11", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".10", FAILURE, true);
+			deleteDocumentId(newdocid + ".10", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -837,7 +554,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".11", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".11", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -845,17 +562,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".11", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".11", testdocument, FAILURE, true);
 			// succeed to update this document
-			updateDocid(newdocid + ".12", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".12", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".13", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".13", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".12", FAILURE, true);
+			deleteDocumentId(newdocid + ".12", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -928,7 +645,7 @@
 		try {
 			debug("\nRunning: test210AllowFirst test");
 			String emlVersion = EML2_1_0;
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 			// ====1 inserts a document with access rules (allowFirst) - allow
 			// READ rule for another user,
 			// deny READ rule for public.
@@ -947,7 +664,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -955,17 +672,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".1", FAILURE, true);
+			deleteDocumentId(newdocid + ".1", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -987,7 +704,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -995,17 +712,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".2", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".3", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".3", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".3", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".3", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".2", FAILURE, true);
+			deleteDocumentId(newdocid + ".2", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1026,7 +743,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".3", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".3", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1034,17 +751,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".3", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".3", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".3", FAILURE, true);
+			deleteDocumentId(newdocid + ".3", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1067,7 +784,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".4", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".4", testdocument, SUCCESS, false);
 			m.logout();
 			debug("logging out");
 			// login as another user
